Subject: Re: [Fastboot] [PATCH] Reserve crashkernel memory region

From: Michael Neuling <[email-masked]>
Date: Fri, 28 Apr 2006 17:06:26 +1000

> Now kexec'ed kernel in a PPC64 machine does not reserve memory for
> crashkernel region. So kexec'ed kernel can not load kdump kernel
> reliably.

Owww 3 boots... scary :-)

> Attached kexec-tools patch reserves memory for kdump kernel by adding
> an entry in the reserve memory table. So while kexec'ed kernel is
> booting, it reserves memory for crashkernel region.

This logic is duplicated in prom_init.c.  

It'd be cool if the kernel parsed the command line early on (after
prom_init.c) and did the memory reserves there.  Then we wouldn't need
this logic in both the kexec tools and prom_init.c.

Mikey